Bug 1254846 - mrpt won't build against OpenCV 3
mrpt won't build against OpenCV 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mrpt (Show other bugs)
23
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rich Mattes
Fedora Extras Quality Assurance
:
Depends On: 1196299
Blocks: opencv3
  Show dependency treegraph
 
Reported: 2015-08-19 00:20 EDT by Viktor Jancik
Modified: 2016-01-31 21:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 21:38:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viktor Jancik 2015-08-19 00:20:44 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Viktor Jancik 2015-08-19 00:25:50 EDT
Sorry I mislicked.

Description of problem:
mrpt is incompatible with OpenCV 3.

Version-Release number of selected component (if applicable):
mrpt-1.0.2-12

According to this issue in the upstream tracker:
https://github.com/MRPT/mrpt/issues/97

The issue should be fixed in 1.3.0. Would you be willing to update mrpt to version 1.3.0 in rawhide?

It seems no other packages are dependent on it, so it shouldn't break anything:
repoquery mrpt\* --whatrequires --alldeps --source

Please notify me soon, if I should write the patch for mrpt 1.0.2 or wait for the update to 1.3.0.

Thank you.
Comment 2 Rich Mattes 2015-08-20 20:14:36 EDT
Upgrading MRPT has been on my agenda for a while, but I've been putting it off because it's a pretty painful process due to all of the bundled libraries.  I'll try to get an update done this weekend.
Comment 3 Rich Mattes 2015-10-20 21:38:08 EDT
1.3.0 is built in f23 and rawhide.  Closing.

Note You need to log in before you can comment on or make changes to this bug.